[arch-commits] Commit in iptables/trunk (6 files)

Andrea Scarpino andrea at nymeria.archlinux.org
Wed May 22 08:23:00 EDT 2013


    Date: Wednesday, May 22, 2013 @ 14:23:00
  Author: andrea
Revision: 186235

upgpkg: iptables 1.4.18-2

Move files to /usr/bin

Modified:
  iptables/trunk/PKGBUILD
  iptables/trunk/ip6tables.service
  iptables/trunk/iptables.service
Deleted:
  iptables/trunk/ip6tables
  iptables/trunk/iptables
  iptables/trunk/iptables.conf.d

-------------------+
 PKGBUILD          |   19 +++-----------
 ip6tables         |   69 ----------------------------------------------------
 ip6tables.service |    4 +--
 iptables          |   68 ---------------------------------------------------
 iptables.conf.d   |   12 ---------
 iptables.service  |    4 +--
 6 files changed, 9 insertions(+), 167 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2013-05-22 12:12:20 UTC (rev 186234)
+++ PKGBUILD	2013-05-22 12:23:00 UTC (rev 186235)
@@ -4,7 +4,7 @@
 
 pkgname=iptables
 pkgver=1.4.18
-pkgrel=1
+pkgrel=2
 pkgdesc='Linux kernel packet control tool'
 arch=('i686' 'x86_64')
 license=('GPL2')
@@ -13,11 +13,8 @@
 makedepends=('linux-api-headers' 'chrpath')
 options=('!libtool')
 source=("http://www.netfilter.org/projects/iptables/files/${pkgname}-${pkgver}.tar.bz2"
-        iptables
-        ip6tables
         empty.rules
         simple_firewall.rules
-        iptables.conf.d
         empty-filter.rules
         empty-mangle.rules
         empty-nat.rules
@@ -27,21 +24,17 @@
         iptables.service
         ip6tables.service
         iptables-flush)
-backup=(etc/conf.d/iptables)
 sha1sums=('34bf627c8755a61caf3635a998d2a5279f664f9e'
-          '5bb6fa526665cdd728c26f0f282f5a51f220cf88'
-          '2db68906b603e5268736f48c8e251f3a49da1d75'
           '83b3363878e3660ce23b2ad325b53cbd6c796ecf'
           'f085a71f467e4d7cb2cf094d9369b0bcc4bab6ec'
-          'cdb830137192bbe002c6d01058656bd053ed0ddd'
           'd9f9f06b46b4187648e860afa0552335aafe3ce4'
           'c45b738b5ec4cfb11611b984c21a83b91a2d58f3'
           '1694d79b3e6e9d9d543f6a6e75fed06066c9a6c6'
           '7db53bb882f62f6c677cc8559cff83d8bae2ef73'
           'ebbd1424a1564fd45f455a81c61ce348f0a14c2e'
           '44626980a52e49f345a0b1e1ca03060f3a35763c'
-          '5f2e76985a751f635a45612565a6e1bc9547398a'
-          'fe6bbe214b3a13bd084f62a8ee9631fd8326c464'
+          '9306cba67dbeaa004af084a816f66920a6a10faf'
+          '38fa2ffe7965e63b494d333f69193029c1258c28'
           'e7abda09c61142121b6695928d3b71ccd8fdf73a')
 
 build() {
@@ -55,7 +48,8 @@
  ./configure --prefix=/usr \
      --libexecdir=/usr/lib/iptables --sysconfdir=/etc \
      --with-xtlibdir=/usr/lib/iptables \
-     --enable-devel --enable-shared
+     --enable-devel --enable-shared \
+     --sbindir=/usr/bin
   make
 }
 
@@ -69,11 +63,8 @@
   chrpath --delete "${pkgdir}"/usr/lib/iptables/*.so
 
   cd "${srcdir}"
-  install -D -m755 iptables "${pkgdir}"/etc/rc.d/iptables
-  install -D -m755 ip6tables "${pkgdir}"/etc/rc.d/ip6tables
   install -D -m644 empty.rules "${pkgdir}"/etc/iptables/empty.rules
   install -D -m644 simple_firewall.rules "${pkgdir}"/etc/iptables/simple_firewall.rules
-  install -D -m644 iptables.conf.d "${pkgdir}"/etc/conf.d/iptables
 
   mkdir -p "${pkgdir}"/var/lib/{iptables,ip6tables}
   install -m644 empty-{filter,mangle,nat,raw,security}.rules "${pkgdir}"/var/lib/iptables

Deleted: ip6tables
===================================================================
--- ip6tables	2013-05-22 12:12:20 UTC (rev 186234)
+++ ip6tables	2013-05-22 12:23:00 UTC (rev 186235)
@@ -1,69 +0,0 @@
-#!/bin/bash
-
-# source application-specific settings
-[ -f /etc/conf.d/iptables ] && . /etc/conf.d/iptables
-
-# Set defaults if settings are missing
-[ -z "$IP6TABLES_CONF" ] && IP6TABLES_CONF=/etc/iptables/ip6tables.rules
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-case "$1" in
-	start)
-		if [ ! -f "$IP6TABLES_CONF" ]; then
-			echo "Cannot load ip6tables rules: $IP6TABLES_CONF is missing!" >&2
-			exit 1
-		fi
-		stat_busy "Starting IP6 Tables"
-		if [ "$IPTABLES_FORWARD" = "1" ]; then
-			echo 1 >/proc/sys/net/ipv6/conf/default/forwarding
-			echo 1 >/proc/sys/net/ipv6/conf/all/forwarding
-		fi
-		if ck_daemon ip6tables; then
-			/usr/sbin/ip6tables-restore < $IP6TABLES_CONF
-			if [ $? -gt 0 ]; then
-				stat_fail
-			else
-				add_daemon ip6tables
-				stat_done
-			fi
-		else
-			stat_fail
-		fi
-		;;
-	stop)
-		stat_busy "Stopping IP6 Tables"
-		if ! ck_daemon ip6tables; then
-			fail=0
-			for table in $(cat /proc/net/ip6_tables_names); do
-				ip6tables-restore < /var/lib/iptables/empty-$table.rules
-				[ $? -gt 0 ] && fail=1
-			done
-			if [ $fail -gt 0 ]; then
-				stat_fail
-			else
-				rm_daemon ip6tables
-				stat_done
-			fi
-		else
-			stat_fail
-		fi
-		;;
-	restart)
-		$0 stop
-		$0 start
-		;;
-	save)
-		stat_busy "Saving IP6 Tables"
-		/usr/sbin/ip6tables-save >$IP6TABLES_CONF
-		if [ $? -gt 0 ]; then
-			stat_fail
-		else
-			stat_done
-		fi
-		;;
-	*)
-		echo "usage: $0 {start|stop|restart|save}"
-esac
-exit 0

Modified: ip6tables.service
===================================================================
--- ip6tables.service	2013-05-22 12:12:20 UTC (rev 186234)
+++ ip6tables.service	2013-05-22 12:23:00 UTC (rev 186235)
@@ -3,8 +3,8 @@
 
 [Service]
 Type=oneshot
-ExecStart=/usr/sbin/ip6tables-restore /etc/iptables/ip6tables.rules
-ExecReload=/usr/sbin/ip6tables-restore /etc/iptables/ip6tables.rules
+ExecStart=/usr/bin/ip6tables-restore /etc/iptables/ip6tables.rules
+ExecReload=/usr/bin/ip6tables-restore /etc/iptables/ip6tables.rules
 ExecStop=/usr/lib/systemd/scripts/iptables-flush 6
 RemainAfterExit=yes
 

Deleted: iptables
===================================================================
--- iptables	2013-05-22 12:12:20 UTC (rev 186234)
+++ iptables	2013-05-22 12:23:00 UTC (rev 186235)
@@ -1,68 +0,0 @@
-#!/bin/bash
-
-# source application-specific settings
-[ -f /etc/conf.d/iptables ] && . /etc/conf.d/iptables
-
-# Set defaults if settings are missing
-[ -z "$IPTABLES_CONF" ] && IPTABLES_CONF=/etc/iptables/iptables.rules
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-case "$1" in
-	start)
-		if [ ! -f "$IPTABLES_CONF" ]; then
-			echo "Cannot load iptables rules: $IPTABLES_CONF is missing!" >&2
-			exit 1
-		fi
-		stat_busy "Starting IP Tables"
-		if [ "$IPTABLES_FORWARD" = "1" ]; then
-			echo 1 >/proc/sys/net/ipv4/ip_forward
-		fi
-		if ck_daemon iptables; then
-			/usr/sbin/iptables-restore < $IPTABLES_CONF
-			if [ $? -gt 0 ]; then
-				stat_fail
-			else
-				add_daemon iptables
-				stat_done
-			fi
-		else
-			stat_fail
-		fi
-		;;
-	stop)
-		stat_busy "Stopping IP Tables"
-		if ! ck_daemon iptables; then
-			fail=0
-			for table in $(cat /proc/net/ip_tables_names); do
-				iptables-restore < /var/lib/iptables/empty-$table.rules
-				[ $? -gt 0 ] && fail=1
-			done
-			if [ $fail -gt 0 ]; then
-				stat_fail
-			else
-				rm_daemon iptables
-				stat_done
-			fi
-		else
-			stat_fail
-		fi
-		;;
-	restart)
-		$0 stop
-		$0 start
-		;;
-	save)
-		stat_busy "Saving IP Tables"
-		/usr/sbin/iptables-save >$IPTABLES_CONF
-		if [ $? -gt 0 ]; then
-			stat_fail
-		else
-			stat_done
-		fi
-		;;
-	*)
-		echo "usage: $0 {start|stop|restart|save}"
-esac
-exit 0

Deleted: iptables.conf.d
===================================================================
--- iptables.conf.d	2013-05-22 12:12:20 UTC (rev 186234)
+++ iptables.conf.d	2013-05-22 12:23:00 UTC (rev 186235)
@@ -1,12 +0,0 @@
-# Configuration for iptables rules
-IPTABLES_CONF=/etc/iptables/iptables.rules
-IP6TABLES_CONF=/etc/iptables/ip6tables.rules
-
-# Enable IP forwarding (both IPv4 and IPv6)
-# NOTE: this is not the recommended way to do this, and is supported only for
-# backward compatibility. Instead, use /etc/sysctl.conf and set the following
-# options:
-# * net.ipv4.ip_forward=1
-# * net.ipv6.conf.default.forwarding=1
-# * net.ipv6.conf.all.forwarding=1
-#IPTABLES_FORWARD=0

Modified: iptables.service
===================================================================
--- iptables.service	2013-05-22 12:12:20 UTC (rev 186234)
+++ iptables.service	2013-05-22 12:23:00 UTC (rev 186235)
@@ -3,8 +3,8 @@
 
 [Service]
 Type=oneshot
-ExecStart=/usr/sbin/iptables-restore /etc/iptables/iptables.rules
-ExecReload=/usr/sbin/iptables-restore /etc/iptables/iptables.rules
+ExecStart=/usr/bin/iptables-restore /etc/iptables/iptables.rules
+ExecReload=/usr/bin/iptables-restore /etc/iptables/iptables.rules
 ExecStop=/usr/lib/systemd/scripts/iptables-flush
 RemainAfterExit=yes
 



More information about the arch-commits mailing list